import { StateOrCallback, Action } from './models';
export declare const enum MiniRxActionType {
    INIT_STORE = "init-store",
    INIT_FEATURE = "init-feature",
    DESTROY_FEATURE = "destroy-feature",
    SET_STATE = "set-state"
}
export interface SetStateAction<T> {
    type: string;
    stateOrCallback: StateOrCallback<T>;
    featureId: string;
    featureKey: string;
    miniRxActionType: MiniRxActionType;
}
export declare function createSetStateAction<T>(stateOrCallback: StateOrCallback<T>, featureId: string, featureKey: string, name?: string): SetStateAction<T>;
export declare function createMiniRxAction(miniRxActionType: MiniRxActionType.INIT_STORE | MiniRxActionType.INIT_FEATURE | MiniRxActionType.DESTROY_FEATURE, featureKey?: string): Action;
export declare function isSetStateAction<T>(action: Action): action is SetStateAction<T>;
